#### Previous topic

scipy.stats.hmean

#### Next topic

scipy.stats.kurtosistest

# scipy.stats.kurtosis

`scipy.stats.``kurtosis`(a, axis=0, fisher=True, bias=True, nan_policy='propagate')

  Computes the kurtosis (Fisher or Pearson) of a dataset.

  Kurtosis is the fourth central moment divided by the square of the variance. If Fisher’s definition is used, then 3.0 is subtracted from the result to give 0.0 for a normal distribution.

  If bias is False then the kurtosis is calculated using k statistics to eliminate bias coming from biased moment estimators

  Use `kurtosistest` to see if result is close enough to normal.

  Parameters:

  a : array

  > data for which the kurtosis is calculated

  axis : int or None, optional

  > Axis along which the kurtosis is calculated. Default is 0. If None, compute over the whole array a.

  fisher : bool, optional

  > If True, Fisher’s definition is used (normal ==> 0.0). If False, Pearson’s definition is used (normal ==> 3.0).

  bias : bool, optional

  > If False, then the calculations are corrected for statistical bias.

  nan_policy : {‘propagate’, ‘raise’, ‘omit’}, optional

  > Defines how to handle when input contains nan. ‘propagate’ returns nan, ‘raise’ throws an error, ‘omit’ performs the calculations ignoring nan values. Default is ‘propagate’.

  Returns:

  kurtosis : array

  > The kurtosis of values along an axis. If all values are equal, return -3 for Fisher’s definition and 0 for Pearson’s definition.

  References

  [R409] | Zwillinger, D. and Kokoska, S. (2000). CRC Standard Probability and Statistics Tables and Formulae. Chapman & Hall: New York. 2000.